## golang-github-samuel-go-zookeeper 0.0~git20201211.7117e9e

=== Makefile ===
# make file to hold the logic of build and test setup
ZK_VERSION ?= 3.4.12

ZK = zookeeper-$(ZK_VERSION)
ZK_URL = "https://archive.apache.org/dist/zookeeper/$(ZK)/$(ZK).tar.gz"

PACKAGES := $(shell go list ./... | grep -v examples)

.DEFAULT_GOAL := test

$(ZK):
	wget $(ZK_URL)
	tar -zxf $(ZK).tar.gz
	# we link to a standard directory path so then the tests dont need to find based on version
	# in the test code. this allows backward compatable testing.
	ln -s $(ZK) zookeeper

.PHONY: install-covertools
install-covertools:
	go get github.com/mattn/goveralls
	go get golang.org/x/tools/cmd/cover

.PHONY: setup
setup: $(ZK) install-covertools

.PHONY: lint
lint:
	go fmt ./...
	go vet ./...

.PHONY: build
build:
	go build ./...

.PHONY: test
test: build
	go test -timeout 500s -v -race -covermode atomic -coverprofile=profile.cov $(PACKAGES)
	# ignore if we fail to publish coverage
	-goveralls -coverprofile=profile.cov -service=travis-ci

## golang-github-samuel-go-zookeeper 0.0~git20150817.0.177002e

=== debian/changelog ===
golang-github-samuel-go-zookeeper (0.0~git20150817.0.177002e-1) unstable; urgency=medium

  * Initial release (Closes: #798127).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Sep 2015 01:22:48 +1000

=== debian/control ===
Source: golang-github-samuel-go-zookeeper
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
#               golang-camlistore-dev
Standards-Version: 3.9.6
Homepage: https://github.com/samuel/go-zookeeper
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-samuel-go-zookeeper.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-samuel-go-zookeeper.git

Package: golang-github-samuel-go-zookeeper-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
#         golang-camlistore-dev
Built-Using: ${misc:Built-Using}
Description: native ZooKeeper client for Go
 Native Go Zookeeper Client Library

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/samuel/go-zookeeper
export DH_GOLANG_EXCLUDES := \
    github.com/samuel/go-zookeeper/examples \
    github.com/samuel/go-zookeeper/tracer

%:
	dh $@ --buildsystem=golang --with=golang

## Tests depend on "camlistore.org/pkg/throttle" AKA "github.com/camlistore/camlistore".
override_dh_auto_test: ;

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/samuel/go-zookeeper/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-samuel-go-zookeeper 0.0~git20161029.0.1d7be4e

=== debian/changelog ===
golang-github-samuel-go-zookeeper (0.0~git20161029.0.1d7be4e-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * Merge upstream branch, so work is possible.
  * Add myself to Uploaders.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * Use XS-Go-Import-Path.
  * Remove useless watch file.
  * New upstream release.
  * Disable again tests, as they require the zookeeper java files, and they
    still fail to start the server.

 -- Martín Ferrari <tincho@debian.org>  Fri, 04 Nov 2016 03:13:44 +0000

=== debian/control ===
Source: golang-github-samuel-go-zookeeper
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
Standards-Version: 3.9.8
Homepage: https://github.com/samuel/go-zookeeper
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-samuel-go-zookeeper.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-samuel-go-zookeeper.git
XS-Go-Import-Path: github.com/samuel/go-zookeeper

Package: golang-github-samuel-go-zookeeper-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: native ZooKeeper client for Go
 Native Go Zookeeper Client Library

## golang-github-samuel-go-zookeeper 0.0~git20180130.c4fab1a

=== debian/changelog ===
golang-github-samuel-go-zookeeper (0.0~git20180130.c4fab1a-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    + Bump Standards-Version.
    + Fix testsuite-autopkgtest-missing.
  * d/copyright:
    + Switch the copyright-format URL to https.
    + Drop copyright section about removed files.
  * Add d/gbp.conf.

 -- Mpampis Kostas <charkost.rb@gmail.com>  Tue, 06 Mar 2018 10:26:14 +0200

=== debian/control ===
Source: golang-github-samuel-go-zookeeper
Section: devel
Priority: optional
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
Standards-Version: 4.1.3
Homepage: https://github.com/samuel/go-zookeeper
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-samuel-go-zookeeper.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-samuel-go-zookeeper.git
XS-Go-Import-Path: github.com/samuel/go-zookeeper
Testsuite: autopkgtest-pkg-go

Package: golang-github-samuel-go-zookeeper-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: native ZooKeeper client for Go
 Native Go Zookeeper Client Library

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_EXCLUDES := \
    github.com/samuel/go-zookeeper/examples \
    github.com/samuel/go-zookeeper/tracer

%:
	dh $@ --buildsystem=golang --with=golang

# All the tests require the zookeeper java files, and don't even seem to work.
override_dh_auto_test:

## golang-github-samuel-go-zookeeper 0.0~git20201211.7117e9e

=== debian/changelog ===
golang-github-samuel-go-zookeeper (0.0~git20201211.7117e9e-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on dh-golang.

  [ Andreas Tille ]
  * Add watch file
  * Default Salsa CI
  * Uploader name is Martina Ferrari
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rename Maintainer from pkg-go to Debian Go Packaging Team (routine-
    update)
  * Section: s/devel/golang/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Sep 2025 21:35:27 +0200

=== debian/control ===
Source: golang-github-samuel-go-zookeeper
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martina Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.7.2
Homepage: https://github.com/samuel/go-zookeeper
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-samuel-go-zookeeper
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-samuel-go-zookeeper.git
XS-Go-Import-Path: github.com/samuel/go-zookeeper
Testsuite: autopkgtest-pkg-go

Package: golang-github-samuel-go-zookeeper-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: foreign
Description: native ZooKeeper client for Go
 Native Go Zookeeper Client Library

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,3 @@
 
 # All the tests require the zookeeper java files, and don't even seem to work.
 override_dh_auto_test:
-

=== debian/watch ===
Version: 5
Source: https://github.com/samuel/go-zookeeper.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.0~git%cd.%h
